//---------------------------------------------------------------------------
//
//	$FileName	::	ClassExplorer.cpp
//	$Author		::	Chris Brooklyn
//
//---------------------------------------------------------------------------
#include <vcl.h>
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include "ClassExplorer.h"
#include "Utilities.h"
#include "shellapi.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TClassExplorerForm *ClassExplorerForm;
//---------------------------------------------------------------------------
__fastcall	TClassExplorerForm :: TClassExplorerForm( TComponent* Owner ) : TForm( Owner )
{
	// ....	create the list for classes, routines, variables and properties
	lpClassList = new TList;
        lpRoutinesList = new TList;
        lpVariablesList = new TList;
        lpPropertiesList = new TList;

        // ....	even though they have just been created make sure that they are cleared
        lpClassList->Clear();
        lpRoutinesList->Clear();
        lpVariablesList->Clear();
        lpPropertiesList->Clear();

        // .... and get the counter values also
        dwNumClasses = lpClassList->Count;
        dwNumRoutines = lpRoutinesList->Count;
        dwNumVariables = lpVariablesList->Count;
        dwNumProperties = lpPropertiesList->Count;
}
//---------------------------------------------------------------------------
void 	__fastcall 	TClassExplorerForm :: FormCreate( TObject *Sender )
{
	//	Make sure that the TTreeView is empty
        TreeView1->Items->Clear();

        // .... and the class, routines and variables are cleared
        lpClassList->Clear();
        lpRoutinesList->Clear();
        lpVariablesList->Clear();
        lpPropertiesList->Clear();
}
//---------------------------------------------------------------------------
void 	__fastcall 	TClassExplorerForm :: BitBtn3Click( TObject *Sender )
{
	ShellExecute( Application->Handle, "open", "iexplore.exe", "http://localhost/KonDev/Project%20Manager/", NULL, SW_SHOWNORMAL );
}
//---------------------------------------------------------------------------
void 	__fastcall 	TClassExplorerForm :: GotoDefinition1Click( TObject *Sender )
{
        if ( TreeView1->Selected == NULL )
        	return;

        //	Ask the editor to open the file and goto specified line number

        //MainForm->OpenFile( Sender );
        //MainForm->SearchGotoLineNumberExecute( this );//pList->lpItems[ TreeView1->Items->Selected->AbsoluteIndex ]->deDefLine );
}
//---------------------------------------------------------------------------
//	Redraws the form, and thus redraws the contents of the listview
//---------------------------------------------------------------------------
void __fastcall TClassExplorerForm::FormPaint(TObject *Sender)
{
	if ( NumClasses > 0 )	{	// ....	Draw the class list
}
//---------------------------------------------------------------------------
void	__fastcall	TClassExplorerForm :: AddType( DWORD dwType, LPSTR lpszName, LPSTR lpszHFile, LPSTR lpszSFile, DWORD dLine, DWORD sLine )
{	lpObjectHeader	lpHeader;

	// ....	Create the addition
	lpHeader = new ObjectHeader;
	ZeroMemory( lpHeader, sizeof( ObjectHeader ) );

        // ....	and setup
        lpHeader->dwFlags = dwType;
        lpHeader->Name = AnsiString( lpszName );
        lpHeader->HeaderFile = AnsiString( lpszHFile );
        lpHeader->SourceFile = AnsiString( lpszSFile );
        lpHeader->dwDefLine = dLine;
        lpHeader->dwSrcLine = sLine;

        // .... now add to the correct list, based on the type of the addition
        switch ( dwType ) {
        	case ( OBJECT_TYPE_VARIABLE  ) : {
                case ( OBJECT_TYPE_ROUTINE   ) : {
                case ( OBJECT_TYPE_METHOD    ) : {
                case ( OBJECT_TYPE_FIELD     ) : {
                case ( OBJECT_TYPE_INTERFACE ) : {
                case ( OBJECT_TYPE_CLASS     ) : {
        }

}
//---------------------------------------------------------------------------
