//---------------------------------------------------------------------------
//
//	$FileName	::	CodeOptimisationSelect.cpp
//	$Author		::	Chris Brooklyn
//	$Version	::	0.0.0.1
//	$Purpose	::	To provide a simple way of selecting the compiler
//				flags that relate to code optimisation generation
//
//---------------------------------------------------------------------------
#include <vcl.h>
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include "CodeOptimisationSelect.h"
#include "shellapi.h" 
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TCodeOptimisationSelection *CodeOptimisationSelection;
//---------------------------------------------------------------------------
__fastcall TCodeOptimisationSelection::TCodeOptimisationSelection(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
AnsiString	__fastcall	TCodeOptimisationSelection :: GetFlag( int Index )
{
	if ( ( Index < 0 ) || ( Index > ListView1->Items->Count ) ) return( NULL );
        else return( ListView1->Items->Item[ Index ]->Caption );
}
//---------------------------------------------------------------------------
void	__fastcall	TCodeOptimisationSelection :: SetFlag( int Index, AnsiString Value )
{
	if ( ( Index < 0 ) || ( Index > ListView1->Items->Count ) ) return;
        else ListView1->Items->Item[ Index ]->Caption = Value;
}
//---------------------------------------------------------------------------
int	__fastcall	TCodeOptimisationSelection :: GCount( void )
{
	return( ListView1->Items->Count );
}
//---------------------------------------------------------------------------
bool	__fastcall	TCodeOptimisationSelection :: GSelected( int Index )
{
	if ( ( Index < 0 ) || ( Index > ListView1->Items->Count ) ) return( false );
        else return( ListView1->Items->Item[ Index ]->Checked );
}
//---------------------------------------------------------------------------
void	__fastcall	TCodeOptimisationSelection :: BitBtn2Click( TObject *Sender )
{
	ModalResult = mrCancel;
}
//---------------------------------------------------------------------------
void 	__fastcall 	TCodeOptimisationSelection :: BitBtn1Click( TObject *Sender )
{
	ModalResult = mrOk;
}
//---------------------------------------------------------------------------
//	Help button click
//---------------------------------------------------------------------------
void __fastcall TCodeOptimisationSelection::BitBtn3Click(TObject *Sender)
{
	ShellExecute( Handle, "open", "iexplore.exe",
        	"http://localhost/ide/help/HELP_CodeOptimise.html", NULL, SW_SHOWNORMAL );
}
//---------------------------------------------------------------------------
