//---------------------------------------------------------------------------
#ifndef EditToolDialogH
#define EditToolDialogH
//---------------------------------------------------------------------------
#ifndef ToolsAPIH
#include "ToolsAPI.h"
#include <Buttons.hpp>
#include <Classes.hpp>
#include <ComCtrls.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <StdCtrls.hpp>
#include <Dialogs.hpp>
#endif
//---------------------------------------------------------------------------
#ifndef ToolsUnitH
#include "Tools.h"
#endif
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TToolEditDialog : public TForm
{       friend  class   TIDETool;
__published:	// IDE-managed Components
        TPanel *Panel1;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TEdit *ToolTitle;
        TEdit *ToolPath;
        TEdit *ToolWorkDirectory;
        TEdit *ToolParameters;
        TBitBtn *BitBtn1;
        TBitBtn *BitBtn2;
        TBitBtn *BitBtn3;
        TBitBtn *InsertButton;
        TBitBtn *MacroButton;
        TListView *ListView1;
        TSpeedButton *SpeedButton1;
        TOpenDialog *OpenDialog1;
        void __fastcall MacroButtonClick(TObject *Sender);
        void __fastcall BitBtn2Click(TObject *Sender);
        void __fastcall BitBtn1Click(TObject *Sender);
        void __fastcall InsertButtonClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall SpeedButton1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TToolEditDialog(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TToolEditDialog *ToolEditDialog;
//---------------------------------------------------------------------------
#endif

