//------------------------------------------------------------------------------
#ifndef	GetApplicationFileVersionInfoH
#define	GetApplicationFileVersionInfoH

#include <vcl.h>

//------------------------------------------------------------------------------

typedef	unsigned short int UShort;

//------------------------------------------------------------------------------

class GetApplicationFileVersionInfo {

public: //- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// Constructor(s):
__fastcall GetApplicationFileVersionInfo();
__fastcall GetApplicationFileVersionInfo( AnsiString PathName );

// Destractor:
__fastcall ~GetApplicationFileVersionInfo();

AnsiString	__fastcall GetAppFileVersionInfoString(AnsiString);
AnsiString	__fastcall GetAppFileVerNumStr() const;
AnsiString	__fastcall GetAppFileVerAStr() const;
AnsiString	__fastcall GetAppFileVerBStr() const;
AnsiString	__fastcall GetAppFileVerCStr() const;
AnsiString	__fastcall GetAppFileVerDStr() const;
int		__fastcall GetAppFileVerAInt() const;
int		__fastcall GetAppFileVerBInt() const;
int		__fastcall GetAppFileVerCInt() const;
int		__fastcall GetAppFileVerDInt() const;
bool		__fastcall GetAnyErrFlag() const;
bool		__fastcall GetLastErrFlag() const;

private: // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

AnsiString	ExeFilename,
		AppVerStrg,
		AppVerA,
		AppVerB,
		AppVerC,
		AppVerD;

bool		AnyErrDetected,
		LastErrDetected;

char*		FileVerInfoBuff;
char*		PickUpKeyVal;

int		FileVerInfoSize;

unsigned int	ExtractedDataSize;

void*		InfoDataPtr;
void*		LanguageCodePtr;

};
#endif
//------------------------------------------------------------------------------

