//---------------------------------------------------------------------------
//
//	$FileName	::	ProgInfoForm.h
//	$Author		::	Chris Brooklyn
//	$Purpose	::	Displays information about the current project
//				also displays detailed system information
//				about the OS, CPU cores, project's executable
//				debug and map file information if available
//
//---------------------------------------------------------------------------
#ifndef ProgInfoFormH
#define ProgInfoFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TProgInfoDialog : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TBitBtn *BitBtn1;
	TBitBtn *BitBtn2;
	TPageControl *PageControl1;
	TTabSheet *TabSheet1;
	TTabSheet *TabSheet2;
	TTabSheet *TabSheet3;
	TTabSheet *TabSheet4;
	TTabSheet *TabSheet5;
	TImage *Image1;
	TRichEdit *RichEdit1;
	TImage *Image2;
	TImage *Image3;
	TRichEdit *RichEdit2;
	TRichEdit *RichEdit3;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
private:	// User declarations
	SYSTEM_INFO	*lpSysInfo;
	OSVERSIONINFO	*lpOsVersion;
public:		// User declarations
	__fastcall TProgInfoDialog(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TProgInfoDialog *ProgInfoDialog;
//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------
