//---------------------------------------------------------------------------
//
//	$FileName	::	Utilities.h
//
//----------------------------------------------------------------------------
#ifndef UtilitiesH
#define UtilitiesH
//---------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <Classes.hpp>
#include <System.hpp>
#include <SysUtils.hpp>
#include <CommCtrls.h>
//---------------------------------------------------------------------------
#include "Defines.h"
#include "RegEntries.h"
//---------------------------------------------------------------------------
class	SysLogger : public TObject
	{
        	protected:
                private:
                	int	fHandle;
                public:
                		__fastcall	SysLogger 	( void );
                        	__fastcall	~SysLogger	( void );

                	void	__fastcall	Message		( AnsiString asMessage );
        };
//---------------------------------------------------------------------------
__declspec( dllimport ) SysLogger	*SystemLog;
//---------------------------------------------------------------------------
void	__inline	LogMessage( AnsiString asMessage )
{
	if ( SystemLog != NULL ) {
        	SystemLog->Message( asMessage );
        }
}
//---------------------------------------------------------------------------
//	UTILITY ROUTINES
//---------------------------------------------------------------------------
__declspec( dllimport )	void		__fastcall	Delay			( float TimeDelay );
__declspec( dllimport )	char*		__fastcall	ReadLine		( FILE *fp );
__declspec( dllimport )	AnsiString      __fastcall      GetEnvVar		( AnsiString EnvVar );
__declspec( dllimport )	void    	__fastcall      SetEnvVar		( AnsiString EnvVar, AnsiString Value );
__declspec( dllimport )	AnsiString      __fastcall      ExpandMacro		( AnsiString asMacro );
__declspec( dllimport )	AnsiString      __fastcall      SystemTime		( void );
__declspec( dllimport )	AnsiString	__fastcall	SystemDate		( void );
__declspec( dllimport )	AnsiString      __fastcall      SystemTimeDate		( void );
__declspec( dllimport )	bool    	__fastcall      FileCopy		( AnsiString Source, AnsiString Destination );
__declspec( dllimport )	AnsiString	__fastcall	GetFileName		( AnsiString FilePath );
__declspec( dllimport )	AnsiString	__fastcall	GetFileExtension	( AnsiString FilePath );
__declspec( dllimport )	void		__fastcall	ErrorExit		( AnsiString Msg );
__declspec( dllimport )	void		__fastcall	SystemMessage		( AnsiString Msg );
__declspec( dllimport )  void		__fastcall	ClearSysMessages	( void );
__declspec( dllimport )	bool		__fastcall	IsDirPath		( AnsiString DirPath );
__declspec( dllimport )	bool		__fastcall	DirExists		( AnsiString DirPath );
__declspec( dllimport )	long 		__fastcall	FileSize		( FILE *fStream );
__declspec( dllimport )	AnsiString	__fastcall	GetDrivePath		( AnsiString FilePath );
__declspec( dllimport )	AnsiString	__fastcall	GetDirPath		( AnsiString FilePath );
__declspec( dllimport ) AnsiString	__fastcall	GetValue		( AnsiString aLine );
//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------
