//---------------------------------------------------------------------------
#ifndef WarningSelectH
#define WarningSelectH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Registry.hpp>
//---------------------------------------------------------------------------
class TWarningSelection : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *GroupBox1;
	TPanel *Panel1;
	TListView *ListView1;
	TBitBtn *BitBtn1;
	TBitBtn *BitBtn2;
	TBitBtn *BitBtn3;
	void 	__fastcall 	BitBtn2Click		( TObject *Sender );
	void 	__fastcall 	BitBtn1Click		( TObject *Sender );
private:	// User declarations
	bool		bModified;

        int		__fastcall	GCount		( void );

        AnsiString	__fastcall	GFlag		( int Index );
        void		__fastcall	SFlag		( int Index, AnsiString Value );

        bool		__fastcall	GSelected	( int Index );
        void		__fastcall	SSelected	( int Index, bool Value );
public:		// User declarations
		__fastcall 	TWarningSelection	( TComponent* Owner );
__published:
	__property bool		Modified 		= { read=bModified, 	write=bModified, stored=true, default=false 	};
        __property bool 	Selected[ int Index ] 	= { read=GSelected, 	write=SSelected 				};
        __property AnsiString 	Flag    [ int Index ] 	= { read=GFlag, 	write=SFlag 					};
        __property int		NumFlags		= { read=GCount };
};
//---------------------------------------------------------------------------
extern PACKAGE TWarningSelection *WarningSelection;
//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------
