//---------------------------------------------------------------------------
#ifndef CONSOLE_TEST_APP
#define CONSOLE_TEST_APP
#endif
//---------------------------------------------------------------------------
#include <vcl.h>
#include <condefs.h>
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include <stdio.h>
//---------------------------------------------------------------------------
USERES("PlayStation.res");
USELIB("..\..\Debugger.lib");
USELIB("..\..\Emulator.lib");
//---------------------------------------------------------------------------
#pragma argsused
//---------------------------------------------------------------------------
#include "..\..\Debugger\DebuggerDLL.h"
#include "..\EmulatorDLL.h"
//---------------------------------------------------------------------------
int	main( int argc, char* argv[] )
{	char	ch;
	bool	fDone = false;

        //	All construction of the emulator classes occurs before 'main' is
        // called

	printf( "PlayStation Emulator Test Application Version 0.01. By Chris Brooklyn\n" );
        printf( "(C) Copyright 2003 Chris Brooklyn & Liquid Silicon Developments.\n" );
        printf( "All rights reserved.\n\n" );

        //	Emulator is initialised when the application is loaded, as a .dll is needed
        // windows will automatically load it for use. Nice eh?

        //	Execute it
        while ( 1!=2 )
        	EmulatorExecute();

        printf( "Execution complete.\n" );
        return 0;
}
//---------------------------------------------------------------------------
