//---------------------------------------------------------------------------
#ifndef GLTextureH
#define GLTextureH
//---------------------------------------------------------------------------
#ifndef EmulatorDLL_H
#include "EmulatorDLL.h"
#endif
//---------------------------------------------------------------------------
class	GLTexture : public TImage
	{
        	protected:
                	int	__fastcall	LoadFromStream	( TStream *Stream );
                        int	__fastcall	SaveToStream	( TStream *Stream );
                private:
                	int	iType;
                        //int	iWidth;
                        //int	iHeight;
                        //int	iCDepth;
                        GLuint	glTextureID;
                        int	iNumCoords;
                        struct	_uv_def_ {
                        	float	u;
                                float	v;
                        } *lpUV;

                        //DWORD	*lpPalette;
                        //DWORD	*lpData;
                public:
                		__fastcall	GLTexture	( void );
                                __fastcall	GLTexture	( int XSize, int YSize, int CDepth );
                                __fastcall	GLTexture	( LPSTR lpszFileName );
                                __fastcall	~GLTexture	( void );

                	int	__fastcall	Initialise	( void );
                        void	__fastcall	Reset		( void );
                        void	__fastcall	Terminate	( void );

                        int	__fastcall	LoadFromFile	( LPSTR lpszFileName );
                        int	__fastcall	SaveToFile	( LPSTR lpszFileName );
                __published:
        };
//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------
