//---------------------------------------------------------------------------
//
//	$FileName	::	psxide.cpp
//	$Author		::	Chris Brooklyn aka Cobra El Diablo
//
//---------------------------------------------------------------------------
#include <vcl.h>
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
USEUNIT("src\adCpuUsage.pas");
USEUNIT("src\GetAppFileVersionInfoStrings.cpp");
USEUNIT("src\Utilities.cpp");
USEUNIT("src\ToolsAPI.cpp");
USEUNIT("src\PackageUnit.cpp");
USEFORM("src\about.cpp", AboutBox);
USEFORM("src\EnviromentOptionsUnit.cpp", EnviromentOptionsForm);
USEFORM("src\ProjectManager.cpp", ProjectManagerForm);
USEFORM("src\ProjectOptionsFormUnit.cpp", ProjectOptionsForm);
USEFORM("src\DebuggingUnit.cpp", DebugOptionsForm);
USEFORM("src\CodeOptimisationSelect.cpp", CodeOptimisationSelection);
USEFORM("src\WarningSelect.cpp", WarningSelection);
USEFORM("src\Main.cpp", MainForm);
USEFORM("src\ChildWin.cpp", MDIChild);
USEFORM("src\NewProjectUnit.cpp", NewProjectForm);
USEFORM("src\EditToolDialog.cpp", ToolEditDialog);
USEFORM("src\Tools.cpp", ToolDialog);
USEFORM("src\ValueDialogUnit.cpp", ValueDialog);
USEFORM("src\TDirSelectDialog.cpp", SelectDirectoryDialog);
USEFORM("src\ListDialog.cpp", ListEditDialog);
USEFORM("src\ProgInfoForm.cpp", ProgInfoDialog);
USEFORM("src\WindowList.cpp", WindowListDialog);
USEFORM("src\PackageManager.cpp", PackagesForm);
USEFORM("src\PackageDialogUnit.cpp", PackageDialog);
USEFORM("src\SearchReplaceUnit.cpp", SearchReplaceDialog);
USERES("psxide.res");
USEFORM("src\ListSelectDialog.cpp", ListSelection);
USEFORM("src\ClassExplorer.cpp", ClassExplorerForm);
//---------------------------------------------------------------------------
#include "Defines.h"
#include "RegEntries.h"
#include "ToolsAPI.h"
#include "main.h"
#include "Utilities.h"
//---------------------------------------------------------------------------
WINAPI 	WinMain( HINSTANCE hThis, HINSTANCE hPrev, LPSTR lpCmdLine, int show )
{       

	Application->Initialize();	// THIS MUST BE THE FIRST LINE IN THIS FILE OR BCB FUBARS

	Application->Title = "PSXIDE for Windows";

	Application->CreateForm(__classid(TMainForm), &MainForm);
		Application->CreateForm(__classid(TDebugOptionsForm), &DebugOptionsForm);
		Application->CreateForm(__classid(TProjectOptionsForm), &ProjectOptionsForm);
		Application->CreateForm(__classid(TEnviromentOptionsForm), &EnviromentOptionsForm);
		Application->CreateForm(__classid(TProjectManagerForm), &ProjectManagerForm);
		Application->CreateForm(__classid(TSelectDirectoryDialog), &SelectDirectoryDialog);
		Application->CreateForm(__classid(TToolDialog), &ToolDialog);
		Application->CreateForm(__classid(TToolEditDialog), &ToolEditDialog);
		Application->CreateForm(__classid(TNewProjectForm), &NewProjectForm);
		Application->CreateForm(__classid(TValueDialog), &ValueDialog);
		Application->CreateForm(__classid(TCodeOptimisationSelection), &CodeOptimisationSelection);
		Application->CreateForm(__classid(TWarningSelection), &WarningSelection);
		Application->CreateForm(__classid(TListEditDialog), &ListEditDialog);
		Application->CreateForm(__classid(TProgInfoDialog), &ProgInfoDialog);
		Application->CreateForm(__classid(TWindowListDialog), &WindowListDialog);
		Application->CreateForm(__classid(TPackagesForm), &PackagesForm);
		Application->CreateForm(__classid(TPackageDialog), &PackageDialog);
		Application->CreateForm(__classid(TSearchReplaceDialog), &SearchReplaceDialog);
		Application->CreateForm(__classid(TAboutBox), &AboutBox);
		Application->CreateForm(__classid(TListSelection), &ListSelection);
		Application->CreateForm(__classid(TClassExplorerForm), &ClassExplorerForm);
		if ( IdeTools == NULL )
        	IdeTools = new TIDETool( Application );

        if ( SystemLog == NULL )
        	SystemLog = new SysLogger;

	Application->Run();

        Application->Terminate();

        return( 0 );
}
//---------------------------------------------------------------------------
