//---------------------------------------------------------------------------
#include <vcl.h>
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include "EditToolDialog.h"
#include "Utilities.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TToolEditDialog *ToolEditDialog;
//---------------------------------------------------------------------------
__fastcall TToolEditDialog::TToolEditDialog(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TToolEditDialog::MacroButtonClick(TObject *Sender)
{
        if ( Height == 210 ) {
                ListView1->Visible = true;
                Height = 360;
        } else if ( Height == 360 ) {
                ListView1->Visible = false;
                Height = 210;
        }
        Update();
}
//---------------------------------------------------------------------------
void __fastcall TToolEditDialog::BitBtn2Click(TObject *Sender)
{
        ModalResult = mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TToolEditDialog::BitBtn1Click(TObject *Sender)
{
        if ( ToolPath->Text.Length() <= 0 ) ModalResult = mrCancel;     // Invalid tool program
        ModalResult = mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TToolEditDialog::InsertButtonClick(TObject *Sender)
{
        if ( !ListView1->Selected ) return;
        ToolParameters->Text += " " + ListView1->Selected->Caption;
}
//---------------------------------------------------------------------------
void __fastcall TToolEditDialog::FormCreate(TObject *Sender)
{
        Height = 210;
        ListView1->Visible = false;
}
//---------------------------------------------------------------------------
void __fastcall TToolEditDialog::SpeedButton1Click(TObject *Sender)
{
        OpenDialog1->Title = "Please select a program file";
        OpenDialog1->Filter = "All Program Files ( *.exe;*.com;*.bat )|*.exe;*.com;*.bat|Binary Executables ( *.exe;*.com )|*.exe;*.com|Batch Files ( *.bat )|*.bat|All Files ( *.* )|*.*";
        if ( OpenDialog1->Execute() ) {
                ToolPath->Text = OpenDialog1->FileName;
        }
}
//---------------------------------------------------------------------------
