//---------------------------------------------------------------------------
#include <vcl.h>
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include "ListSelectDialog.h"
#include "shellapi.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TListSelection *ListSelection;
//---------------------------------------------------------------------------
__fastcall	TListSelection :: TListSelection( TComponent* Owner ) : TForm( Owner )
{
	ListView1->Items->Clear();
}
//---------------------------------------------------------------------------
AnsiString	__fastcall	TListSelection :: GSelection( void )
{
	if ( ListView1->Selected == NULL )
        	return( NULL );

        return( ListView1->Selected->Caption );
}
//---------------------------------------------------------------------------
void	__fastcall	TListSelection :: Add( AnsiString Value )
{
	if ( Value.Length() <= 0 )
        	return;

        TListItem *pItem = ListView1->Items->Add();

        if ( pItem == NULL )
        	return;

        pItem->Caption = Value;
}
//---------------------------------------------------------------------------
void __fastcall TListSelection::BitBtn3Click(TObject *Sender)
{
	ShellExecute( Handle, "open", "iexplore.exe",
        	"http://localhost/ide/help/HELP_ActivationDialog.html",
                NULL, SW_SHOWNORMAL );
}
//---------------------------------------------------------------------------
void __fastcall TListSelection::BitBtn2Click(TObject *Sender)
{
	ListView1->Selected = NULL;
}
//---------------------------------------------------------------------------
