//---------------------------------------------------------------------------
#ifndef ListSelectDialogH
#define ListSelectDialogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Registry.hpp>
//---------------------------------------------------------------------------
class TListSelection : public TForm
{	friend	class	TMainForm;
	friend	class	TProjectManagerForm;
	protected:
        	void	__fastcall	Add	( AnsiString Value );
__published:	// IDE-managed Components
	TPanel *Panel1;
	TPanel *Panel2;
	TBitBtn *BitBtn1;
	TBitBtn *BitBtn2;
	TBitBtn *BitBtn3;
	TListView *ListView1;
	void __fastcall BitBtn3Click(TObject *Sender);
	void __fastcall BitBtn2Click(TObject *Sender);
private:	// User declarations
	TRegistry	*Registry;
	AnsiString	__fastcall	GSelection	( void );
public:		// User declarations
	__fastcall TListSelection(TComponent* Owner);
__published:
	__property	AnsiString	Selected = { read=GSelection, stored=true, default=NULL };

};
//---------------------------------------------------------------------------
extern PACKAGE TListSelection *ListSelection;
//---------------------------------------------------------------------------
#endif
