//---------------------------------------------------------------------------
#ifndef PackageDialogUnitH
#define PackageDialogUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TPackageDialog : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TPanel *Panel2;
	TBitBtn *BitBtn1;
	TBitBtn *BitBtn2;
	TBitBtn *BitBtn3;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TEdit *Edit1;
	TEdit *Edit2;
	TEdit *Edit3;
	TSpeedButton *SpeedButton1;
	TComboBox *ComboBox1;
private:	// User declarations
	bool	bModified;
public:		// User declarations
	__fastcall TPackageDialog(TComponent* Owner);
__published:
	__property	bool	Modified	=	{ read=bModified, write=bModified, stored=true, default=false };
};
//---------------------------------------------------------------------------
extern PACKAGE TPackageDialog *PackageDialog;
//---------------------------------------------------------------------------
#endif

