//---------------------------------------------------------------------------
#ifndef PackageManagerH
#define PackageManagerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Registry.hpp>
//---------------------------------------------------------------------------
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include "PackageUnit.h"
#include <Menus.hpp>
//---------------------------------------------------------------------------
#define MAX_PACKAGES	16
//---------------------------------------------------------------------------
class TPackagesForm : public TForm
	{
        	protected:
			int	__fastcall	WriteToRegistry		( TObject *Sender );
			int	__fastcall	ReadFromRegistry	( TObject *Sender );
		__published:	// IDE-managed Components
	TPanel *Panel1;
	TPanel *Panel2;
	TListView *ListView1;
	TLabel *Label1;
	TBitBtn *BitBtn1;
	TBitBtn *BitBtn2;
	TBitBtn *BitBtn3;
	TBitBtn *BitBtn4;
	TBitBtn *BitBtn5;
	TOpenDialog *OpenDialog;
	TLabel *Label2;
	TPopupMenu *PopupMenu1;
	TMenuItem *Add1;
	TMenuItem *Remove1;
	TMenuItem *N1;
	TMenuItem *Edit1;
	TMenuItem *N01;
	TMenuItem *Info1;
	TRichEdit *RichEdit1;
	void __fastcall BitBtn2Click(TObject *Sender);
	void __fastcall BitBtn1Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall Add1Click(TObject *Sender);
	void __fastcall Remove1Click(TObject *Sender);
	void __fastcall Edit1Click(TObject *Sender);
	void __fastcall Info1Click(TObject *Sender);
		private:	// User declarations
			TRegistry	*Registry;
			int		iNumPackages;
			TPackage	*pPackages[];	//	Run-Time only list of pointer to a TPackage class
		public:		// User declarations
			__fastcall TPackagesForm(TComponent* Owner);
			__fastcall ~TPackagesForm(void);
		__published:	//	NON IDE managed components
			__property	int	NumPackages = { read=iNumPackages, stored=true, default=0 };
	};
//---------------------------------------------------------------------------
extern PACKAGE TPackagesForm *PackagesForm;
//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------
