//---------------------------------------------------------------------------
//
//	$FileName	::	TDirSelectDialog.cpp
//	$Author		::	Chris Brooklyn
//	$Purpose	::	Custom directory selection dialog
//
//---------------------------------------------------------------------------
#include <vcl.h>
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include "TDirSelectDialog.h"
#include "Utilities.h"
#include "EnviromentOptionsUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TSelectDirectoryDialog *SelectDirectoryDialog;
//---------------------------------------------------------------------------
__fastcall TSelectDirectoryDialog::TSelectDirectoryDialog(TComponent* Owner)
        : TForm(Owner)
{
	DriveComboBox1->Drive = 'C';
        DirectoryListBox1->Directory = "\\My Documents";
}
//---------------------------------------------------------------------------
AnsiString      __fastcall      TSelectDirectoryDialog :: GPath( void )
{
        return( DirectoryListBox1->Directory  );
}
//---------------------------------------------------------------------------
void	__fastcall	TSelectDirectoryDialog :: SPath( AnsiString Value )
{
	if ( DirectoryListBox1->Directory != Value ) DirectoryListBox1->Directory = Value;
}
//---------------------------------------------------------------------------
void __fastcall TSelectDirectoryDialog::BitBtn2Click(TObject *Sender)
{
        ModalResult = mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TSelectDirectoryDialog::BitBtn1Click(TObject *Sender)
{
        ModalResult = mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TSelectDirectoryDialog::DirectoryListBox1Change(
      TObject *Sender)
{
	Label4->Caption = DirectoryPath;	
}
//---------------------------------------------------------------------------

