//---------------------------------------------------------------------------
#ifndef ToolsH
#define ToolsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Registry.hpp>
#include "ToolsAPI.h"
//---------------------------------------------------------------------------
class TToolDialog : public TForm
{       friend  class   TIDETool;
__published:	// IDE-managed Components
        TPanel *Panel1;
        TListView *ListView1;
        TBitBtn *ToolAddButton;
        TBitBtn *ToolRemoveButton;
        TBitBtn *ToolEditButton;
        TSpeedButton *SpeedButton1;
        TSpeedButton *SpeedButton2;
        TBitBtn *BitBtn5;
        TBitBtn *BitBtn1;
        void __fastcall ToolEditButtonClick(TObject *Sender);
        void __fastcall ToolRemoveButtonClick(TObject *Sender);
        void __fastcall ToolAddButtonClick(TObject *Sender);
private:	// User declarations
        TIDETool        *pTool;
        TRegistry	*Registry;
public:		// User declarations
        __fastcall TToolDialog(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TToolDialog *ToolDialog;
//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------
