//---------------------------------------------------------------------------
#include <vcl.h>
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include "WarningSelect.h"
#include "main.h"
#include "Defines.h"
#include "RegEntries.h"
#include "Utilities.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TWarningSelection *WarningSelection;
//---------------------------------------------------------------------------
__fastcall TWarningSelection::TWarningSelection(TComponent* Owner)
	: TForm(Owner)
{
	Modified = false;
}
//---------------------------------------------------------------------------
void __fastcall TWarningSelection::BitBtn2Click(TObject *Sender)
{
	ModalResult = mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TWarningSelection::BitBtn1Click(TObject *Sender)
{
	ModalResult = mrOk;
}
//---------------------------------------------------------------------------
AnsiString	__fastcall	TWarningSelection :: GFlag( int Index )
{
	if ( ( Index < 0 ) || ( Index > ListView1->Items->Count ) ) 	return( NULL );

        return( ListView1->Items->Item[ Index ]->Caption );
}
//---------------------------------------------------------------------------
void	__fastcall	TWarningSelection :: SFlag( int Index, AnsiString Value )
{
	if ( ( Index < 0 ) || ( Index > ListView1->Items->Count ) ) 	return;

        ListView1->Items->Item[ Index ]->Caption = Value;

        Modified = true;
}
//---------------------------------------------------------------------------
bool	__fastcall	TWarningSelection :: GSelected( int Index )
{
	if ( ( Index < 0 ) || ( Index > ListView1->Items->Count ) )	return( false );

	return( ListView1->Items->Item[ Index ]->Checked );
}
//---------------------------------------------------------------------------
void	__fastcall	TWarningSelection :: SSelected( int Index, bool Value )
{
	if ( ( Index > ListView1->Items->Count ) || ( Index < 0 ) )	return;

        ListView1->Items->Item[ Index ]->Checked = Value;

        Modified = true;
}
//---------------------------------------------------------------------------
int	__fastcall	TWarningSelection :: GCount( void )
{
	return( ListView1->Items->Count );
}
//---------------------------------------------------------------------------
